package org.openxma.dsl.generator.component;

import org.eclipse.emf.mwe.core.issues.Issues;
import org.eclipse.xpand2.GeneratorAdvice;

public class GeneratorAdviceComponent extends GeneratorAdvice {

    @Override
    public void addAdvice(String advice) {
        if (null != advice && advice.indexOf(";") != -1) {
            String[] strings = advice.split(";");
            for (int i = 0; i < strings.length; i++) {
                super.addAdvice(strings[0]);
            }
        } else if (null != advice && advice.length() > 0) {
            super.addAdvice(advice);
        }
    }

    @Override
    public void addExtensionAdvice(String extensionAdvice) {
        if (null != extensionAdvice && extensionAdvice.indexOf(";") != -1) {
            String[] strings = extensionAdvice.split(";");
            for (int i = 0; i < strings.length; i++) {
                super.addExtensionAdvice(strings[0]);
            }
        } else if (null != extensionAdvice && extensionAdvice.length() > 0) {
            super.addExtensionAdvice(extensionAdvice);
        }
    }

    @Override
    public void checkConfiguration(Issues issues) {
    }
}
